## BraseroDriveSelection

BraseroDriveSelection

## Synopsis

                        BraseroDriveSelection;
    GtkWidget*          brasero_drive_selection_new         (void);
    BraseroDrive *      brasero_drive_selection_get_active  (BraseroDriveSelection *selector);
    gboolean            brasero_drive_selection_set_active  (BraseroDriveSelection *selector,
                                                             BraseroDrive *drive);
    void                brasero_drive_selection_show_type   (BraseroDriveSelection *selector,
                                                             BraseroDriveType type);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----BraseroDriveSelection

## Implemented Interfaces

BraseroDriveSelection implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "Drive"                    BraseroDrive*         : Read / Write
      "drive-type"               guint                 : Read / Write

## Signals

      "drive-changed"                                  : Run First / No Recursion / Action

## Description

## Details

### BraseroDriveSelection

    typedef struct _BraseroDriveSelection BraseroDriveSelection;

### brasero_drive_selection_new ()

    GtkWidget*          brasero_drive_selection_new         (void);

Returns : |

### brasero_drive_selection_get_active ()

    BraseroDrive *      brasero_drive_selection_get_active  (BraseroDriveSelection *selector);

Gets the active drive.

`selector` : | a BraseroDriveSelection
Returns : | a BraseroDrive or NULL. Unref when it is not needed anymore.

### brasero_drive_selection_set_active ()

    gboolean            brasero_drive_selection_set_active  (BraseroDriveSelection *selector,
                                                             BraseroDrive *drive);

Sets the active drive. Emits the ::drive-changed signal.

`selector` : | a BraseroDriveSelection
`drive` : | a BraseroDrive to set as the active one in the selector
Returns : | a gboolean. TRUE if it succeeded, FALSE otherwise.

### brasero_drive_selection_show_type ()

    void                brasero_drive_selection_show_type   (BraseroDriveSelection *selector,
                                                             BraseroDriveType type);

Filters and displays drive corresponding to `type`.

`selector` : | a BraseroDriveSelection
`type` : | a BraseroDriveType

## Property Details

### The `"Drive"` property

      "Drive"                    BraseroDrive*         : Read / Write

The currently selected drive.

### The `"drive-type"` property

      "drive-type"               guint                 : Read / Write

The type of drives displayed.

Allowed values: <= 255

Default value: 254

## Signal Details

### The `"drive-changed"` signal

    void                user_function                      (BraseroDriveSelection *selector,
                                                            BraseroDrive          *drive,
                                                            gpointer               user_data)      : Run First / No Recursion / Action

This signal gets emitted when the selected medium has changed

`selector` : | the object which received the signal
`drive` : | the drive which is now selected
`user_data` : | user data set when the signal handler was connected.